package biblioteka_gui;

import java.awt.event.ActionEvent;

import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.logging.*;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JSeparator;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import java.io.*;
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import org.w3c.dom.*;



/**
 * Glowne okno programu dziedziczace po JFrame
 * <br>Obiekt tej klasy zawiera statyczne zmienne: czytelnicy oraz ksiazki stanowiace baze danych czytelnikow i ksiazek
 * @author w21826
 * @version 1.3
 */

public class JFrGlowne extends JFrame implements ActionListener
{
	/**
	 * Etykieta wyswietlajaca tekst "Program obslugi biblioteki"
	 */
	JLabel Powitanie;
	/**
	 * Etykieta wyswietlajaca tekst "Wybierz opcj z paska Menu"
	 */
	JLabel Powitanie1;
	//String ui;
	/**
	 * Statyczny obiekt klasy String pobierajacy domyslny styl dla systemu operacyjnego
	 */
	static public String ui_styl = UIManager.getCrossPlatformLookAndFeelClassName();
	/**
	 * Statyczny obiekt klasy String wskazujacy na domyslny katalog bazy danych ksiazek
	 */
	static public String sciezka_ksiazki = "c:\\";
	/**
	 * Statyczny obiekt klasy String wskazujacy na domyslny katalog bazy danych czytelnikow
	 */
	static public String sciezka_czytelnicy = "c:\\";
	/**
	 * Statyczny obiekt klasy String wskazujacy na domyslne polozenie pliku ustawien programu
	 */
	static public String ustawienia="settings.xml";
	/**
	 * Statyczny kolekcja zawierajaca obiekty klasy Czytelnik, baza danych czytelnikow dostepna w kazdym miejscu programu
	 * @see Czytelnik
	 */
	static public ArrayList<Czytelnik> czytelnicy = new ArrayList<Czytelnik>();
	/**
	 * Statyczny kolekcja zawierajaca obiekty klasy Ksiazka, baza danych ksiazek dostepna w kazdym miejscu programu
	 * @see Ksiazka
	 */
	static public ArrayList<Ksiazka> ksiazki = new ArrayList<Ksiazka>();
	/**
	 * Statyczny obiekt klasy Logger sluzacy do logowania zachowan programu
	 * @see Logger
	 */
	static public Logger log = Logger.getLogger("");

	/**
	 * Konstruktor klasy, tworzy nowe okno, ustawia jego skladniki, wczytuje domyslne ustawienia z pliku settings.xml
	 *
	 */
	JFrGlowne()
	{
		try 
		{
	        FileHandler fileHandler1 = new FileHandler("log_Biblioteka.xml");
	        log.addHandler(fileHandler1);
	     }
	     catch(IOException ioe) 
	     {
	        log.log(Level.SEVERE, "Unable to create file handler.", ioe);
	     }
		log.info("Uruchomiono program");
		try
		{
			File plik=new File(ustawienia);
			log.info("Proba otwarcia pliku settings.xml");
			DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
			DocumentBuilder parser=fabr.newDocumentBuilder();
			Document dokument=parser.parse(plik);
			Element root=dokument.getDocumentElement();
			NodeList Opcje=root.getElementsByTagName("Ustawienia");
			JFrGlowne.ui_styl=((Element)Opcje.item(0)).getAttribute("ui_styl");
			log.info("Zostanie uyty styl " + JFrGlowne.ui_styl);
			SwingUtilities.updateComponentTreeUI(this);
			JFrGlowne.sciezka_czytelnicy=((Element)Opcje.item(0)).getAttribute("sciezka_czytelnicy");
			log.info("Domyslna cieka bazy czytelnikw " + JFrGlowne.sciezka_czytelnicy);
			JFrGlowne.sciezka_ksiazki=((Element)Opcje.item(0)).getAttribute("sciezka_ksiazki");
			log.info("Domyslna scieka bazy ksiek " + JFrGlowne.sciezka_ksiazki);
			JOptionPane.showMessageDialog(this,"Wczytano ustawienia z pliku " + JFrGlowne.ustawienia + "\nDomylny styl: "+ JFrGlowne.ui_styl + "\ncieka zapisu/odczytu ksiek: " + JFrGlowne.sciezka_ksiazki + "\ncieka zapisu/odczytu czytelnikw: " + JFrGlowne.sciezka_czytelnicy,"Komunikat",JOptionPane.INFORMATION_MESSAGE);
			
			
		} catch(Exception ex)
		{
			try
			{
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.newDocument();
				Element root=dokument.createElement("Opcje");
				dokument.appendChild(root);
				Element elem=dokument.createElement("Ustawienia");
				elem.setAttribute("ui_styl",JFrGlowne.ui_styl);
				elem.setAttribute("sciezka_czytelnicy",JFrGlowne.sciezka_czytelnicy);
				elem.setAttribute("sciezka_ksiazki", JFrGlowne.sciezka_ksiazki);
				root.appendChild(elem);
				Transformer przekszt = TransformerFactory.newInstance().newTransformer();
				Source zrodlo=new DOMSource(dokument);
				File plik=new File(JFrGlowne.ustawienia);
				Result wyjscie=new StreamResult(plik);
				przekszt.transform(zrodlo, wyjscie);
				
				//JOptionPane.showMessageDialog(this,"Zapisano domylne ustawienia do pliku " + JFrGlowne.ustawienia ,"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				
				
			} catch(Exception exc)
			{
				JOptionPane.showMessageDialog(this,"Bd przy zapisywaniu pliku ustawie " + JFrGlowne.ustawienia,"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Bd przy zapisywaniu pliku ustawie");
				log.warning("Stos: " + ex.getStackTrace());
			}
			JOptionPane.showMessageDialog(this,"Bd przy otwieraniu pliku ustawie, utworzono plik ustawien " + JFrGlowne.ustawienia,"Bd",JOptionPane.ERROR_MESSAGE);
			log.info("Nie powiodlo si wczytywanie pliku ustawie, utworzono plik settings.xml z ustawieniami domylnymi");
		}
		
		try 
		{
			UIManager.setLookAndFeel(ui_styl);
		} 
		catch (Exception e) 
		{
			
			e.printStackTrace(); 
			log.warning("Nie udalo si stawi stylu" + ui_styl);
			log.warning("Stos: " + e.getStackTrace());
		}
		
		JMenuBar mb = new JMenuBar();
		JMenu jmPlik = new JMenu("Plik");
		mb.add(jmPlik);
		JMenuItem jmiOtBK = new JMenuItem("Otwrz baz ksiek");
		jmPlik.add(jmiOtBK);
		jmiOtBK.addActionListener(this);
		JMenuItem jmiZaBK = new JMenuItem("Zapisz baz ksiek");
		jmPlik.add(jmiZaBK);
		jmiZaBK.addActionListener(this);
		jmPlik.add(new JSeparator());
		JMenuItem jmiOtBC = new JMenuItem("Otwrz baz czytelnikw");
		jmPlik.add(jmiOtBC);
		jmiOtBC.addActionListener(this);
		JMenuItem jmiZaBC = new JMenuItem("Zapisz baz czytelnikw");
		jmPlik.add(jmiZaBC);
		jmiZaBC.addActionListener(this);
		jmPlik.add(new JSeparator());
		JMenuItem jmiKoniec = new JMenuItem("Zakocz prac programu");
		jmPlik.add(jmiKoniec);
		jmiKoniec.addActionListener(this);
		JMenu jmKsiazka = new JMenu("Ksika");
		mb.add(jmKsiazka);
		JMenuItem jmiDodKsiazka = new JMenuItem("Dodaj ksik");
		jmKsiazka.add(jmiDodKsiazka);
		jmiDodKsiazka.addActionListener(this);
		JMenuItem jmiSzukKsiazka = new JMenuItem("Szukaj ksiki");
		jmKsiazka.add(jmiSzukKsiazka);
		jmiSzukKsiazka.addActionListener(this);
		JMenuItem jmiListaKsiazka = new JMenuItem("Lista ksiek");
		jmKsiazka.add(jmiListaKsiazka);
		jmiListaKsiazka.addActionListener(this);
		JMenu jmCzytelnik = new JMenu("Czytelnik");
		mb.add(jmCzytelnik);
		JMenuItem jmiDodCzytelnik = new JMenuItem("Dodaj czytelnika");
		jmCzytelnik.add(jmiDodCzytelnik);
		jmiDodCzytelnik.addActionListener(this);
		JMenuItem jmiSzukCzytelnik = new JMenuItem("Szukaj czytelnika");
		jmCzytelnik.add(jmiSzukCzytelnik);
		jmiSzukCzytelnik.addActionListener(this);
		jmCzytelnik.add(new JSeparator());
		JMenuItem jmiListaCzytelnik = new JMenuItem("Lista czytelnikw");
		jmCzytelnik.add(jmiListaCzytelnik);
		jmiListaCzytelnik.addActionListener(this);
		jmCzytelnik.add(new JSeparator());
		JMenuItem jmiWypKs = new JMenuItem("Wypoycz ksik");
		jmCzytelnik.add(jmiWypKs);
		jmiWypKs.addActionListener(this);
		JMenuItem jmiOddKs = new JMenuItem("Oddaj ksik");
		jmCzytelnik.add(jmiOddKs);
		jmiOddKs.addActionListener(this);
		JMenu jmOpcje = new JMenu("Opcje");
		mb.add(jmOpcje);
		JMenuItem jmiWygld = new JMenuItem("Wygld");
		jmOpcje.add(jmiWygld);
		jmiWygld.addActionListener(this);
		JMenuItem jmicieki = new JMenuItem("cieki");
		jmOpcje.add(jmicieki);
		jmicieki.addActionListener(this);
		JMenuItem jmiZapiszOpcje = new JMenuItem("Zapisz opcje");
		jmOpcje.add(jmiZapiszOpcje);
		jmiZapiszOpcje.addActionListener(this);
		JMenuItem jmiOdswiezOkno = new JMenuItem("Odswie okno");
		jmOpcje.add(jmiOdswiezOkno);
		jmiOdswiezOkno.addActionListener(this);
		JMenu jmStats = new JMenu("Statystyki");
		mb.add(jmStats);
		JMenuItem jmiW = new JMenuItem("Wywietl statystyki");
		jmStats.add(jmiW);
		jmiW.addActionListener(this);
		JMenu jmPomoc = new JMenu("Pomoc");
		mb.add(jmPomoc);
		JMenuItem jmiTematy = new JMenuItem("Tematy pomocy");
		jmPomoc.add(jmiTematy);
		jmiTematy.addActionListener(this);
		jmPomoc.add(new JSeparator());
		JMenuItem jmiAbout = new JMenuItem("About");
		jmPomoc.add(jmiAbout);
		jmiAbout.addActionListener(this);
		setJMenuBar(mb);

		
		this.setTitle("Program obsugi biblioteki");
		this.setLayout(null);
		
		Powitanie = new JLabel("Witam w programie obsugi biblioteki");
		Powitanie.setSize(300,30);
		Powitanie.setLocation(300, 200);
		Powitanie.setVisible(true);
		this.add(Powitanie);
		Powitanie1 = new JLabel("Wybierz opcj z paska Menu");
		Powitanie1.setSize(300,30);
		Powitanie1.setLocation(300, 230);
		Powitanie1.setVisible(true);
		this.add(Powitanie1);

		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setSize(800,600);
		this.setVisible( true );
	}
	
	public void actionPerformed(ActionEvent e) 
	{
		String komenda=e.getActionCommand();
		//System.err.println(e.getActionCommand());
		if(komenda == "Otwrz baz ksiek") 
		{
			log.info("Wybieranie bazy ksiek do otworzenia");
			final JFileChooser fc = new JFileChooser();
			fc.setDialogTitle("Otwrz baz ksiek");
			fc.setCurrentDirectory(new File(sciezka_ksiazki));
			fc.showOpenDialog(this);
//			In response to a button click:
			try
			{
				File plik=fc.getSelectedFile();
				if(plik != null)
				{
				System.err.println(fc.getSelectedFile());
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.parse(plik);
				Element root=dokument.getDocumentElement();
				NodeList Ksiki=root.getElementsByTagName("Ksiazka");
				for(int i=0;i<Ksiki.getLength();i++)
				{
					String imie=((Element)Ksiki.item(i)).getAttribute("Imie_autora");
					String nazwisko=((Element)Ksiki.item(i)).getAttribute("Nazwisko_autora");
					String rok_wydania=((Element)Ksiki.item(i)).getAttribute("Rok_wydania");
					String tytul=((Element)Ksiki.item(i)).getAttribute("Tytul");
					String nr_katalogowy=((Element)Ksiki.item(i)).getAttribute("nr_katalogowy");
					String wydawnictwo=((Element)Ksiki.item(i)).getAttribute("Wydawnictwo");
					String wypoz=((Element)Ksiki.item(i)).getAttribute("Wypozyczona");
					boolean wyp=false;
					if(wypoz.compareTo("true") == 0)
					{
						wyp=true;
					}
					
					//System.out.println(imie+" "+nazwisko+" "+tytul+" " +nr_katalogowy + " " + rok_wydania + " " + wydawnictwo);
					JFrGlowne.ksiazki.add(new Ksiazka(imie, nazwisko, tytul, wydawnictwo, rok_wydania, nr_katalogowy, wyp));
					//String imie=((Element)Ksiki.item(i)).toString().getAttribute("Imie_autora");
				}
				JOptionPane.showMessageDialog(this,"Wczytano " + Ksiki.getLength() + " ksiek z pliku "+ fc.getSelectedFile(),"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				log.info("Wczytano " + Ksiki.getLength() + " ksiek z pliku " + fc.getSelectedFile());
				
				}
			} catch(Exception ex)
			{
				JOptionPane.showMessageDialog(this,"Bd przy otwieraniu pliku " + fc.getSelectedFile(),"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Bd przy otwieraniu bazy ksiek z pliku " + fc.getSelectedFile());
				log.warning("Stos " + ex.getStackTrace());
			}
				
		}
		if(komenda == "Zapisz baz ksiek") 
		{
			log.info("Wybieranie pliku do zapisania bazy ksiek");
			final JFileChooser fc = new JFileChooser();
			fc.setDialogTitle("Zapisz baz ksiek");
			fc.setCurrentDirectory(new File(sciezka_ksiazki));
			fc.showSaveDialog(this);
//			In response to a button click:
			try
			{
				File plik=fc.getSelectedFile();
				if(plik != null)
				{
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.newDocument();
				Element root=dokument.createElement("Opcje");
				//Element elem=dokument.createElement("Ustawienia");
				dokument.appendChild(root);
				for(int i=0; i<JFrGlowne.ksiazki.size();i++)
				{
				ksiazki.get(i).zapisz(dokument,root);
				}
				Transformer przekszt=TransformerFactory.newInstance().newTransformer();
				Source zrodlo = new DOMSource(dokument);
				//File plik=fc.getSelectedFile();
				Result wyjscie=new StreamResult(plik);
				przekszt.transform(zrodlo, wyjscie);
				JOptionPane.showMessageDialog(this,"Zapisano baz ksiek do pliku " + fc.getSelectedFile(),"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				log.info("Zapisano baz ksiek do pliku " + fc.getSelectedFile());
				}
			} 
			catch(Exception ex)
			{
				JOptionPane.showMessageDialog(this,"Bd przy zapisywaniu bazy ksiek do pliku " + fc.getSelectedFile(),"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Bd przy zapisywaniu bazy ksiek do pliku " + fc.getSelectedFile());
				log.warning("Stos " + ex.getStackTrace());
			}
			
		}
		if(komenda == "Otwrz baz czytelnikw") 
		{
			log.info("Wybieranie bazy czytelnikw do otworzenia");
			final JFileChooser fc = new JFileChooser();
			fc.setDialogTitle("Otwrz baz czytelnikw");
			fc.setCurrentDirectory(new File(sciezka_czytelnicy));
			fc.showOpenDialog(this);
//			In response to a button click:
			try
			{
				File plik=fc.getSelectedFile();
				if(plik != null)
				{
				System.err.println(fc.getSelectedFile());
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.parse(plik);
				Element root=dokument.getDocumentElement();
				NodeList Czytelnicy=root.getElementsByTagName("Czytelnik");
				for(int i=0;i<Czytelnicy.getLength();i++)
				{
					String imie=((Element)Czytelnicy.item(i)).getAttribute("Imie");
					String nazwisko=((Element)Czytelnicy.item(i)).getAttribute("Nazwisko");
					String ulica=((Element)Czytelnicy.item(i)).getAttribute("Ulica");
					String nr_domu=((Element)Czytelnicy.item(i)).getAttribute("nr_domu");
					String nr_mieszkania=((Element)Czytelnicy.item(i)).getAttribute("nr_mieszkania");
					int nr_karty=Integer.parseInt(((Element)Czytelnicy.item(i)).getAttribute("nr_karty"));
					String kod=((Element)Czytelnicy.item(i)).getAttribute("Kod");
					String miejscowosc=((Element)Czytelnicy.item(i)).getAttribute("Miejscowosc");
					JFrGlowne.czytelnicy.add(new Czytelnik(nr_karty, imie,nazwisko,ulica,nr_domu,nr_mieszkania,kod,miejscowosc));
					for(int j=0;j<10;j++)
					{
						String wyp=""+(((Element)Czytelnicy.item(i)).getAttribute("Ksiazka_"+j));
						if(wyp.compareTo("") != 0)
						{
							JFrGlowne.czytelnicy.get(JFrGlowne.czytelnicy.size()-1).wypoyczone.add(wyp);
							//System.err.println(JFrGlowne.czytelnicy.get(i).wypoyczone.get(j));
						}
					}
					
					//System.err.println(imie+" "+nazwisko+" "+nr_karty+" " +ulica + " " + nr_domu + " " +nr_mieszkania);
					
					//String imie=((Element)Ksiki.item(i)).toString().getAttribute("Imie_autora");
				}
				JOptionPane.showMessageDialog(this,"Wczytano " + Czytelnicy.getLength() + " czytelnikw z pliku "+ fc.getSelectedFile(),"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				log.info("Wczytano " + Czytelnicy.getLength() + " czytelnikw z pliku " + fc.getSelectedFile());
				}
			} 
			catch(Exception ex)
			{
				JOptionPane.showMessageDialog(this,"Bd przy otwieraniu pliku " + fc.getSelectedFile(),"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Bd przy otwieraniu bazy czytelnikw z pliku " + fc.getSelectedFile());
				log.warning("Stos: " + ex.getStackTrace());
			}
				
			
		}
		if(komenda == "Zapisz baz czytelnikw") 
		{
			log.info("Wybieranie pliku do zapisania bazy czytelnikw");
			final JFileChooser fc = new JFileChooser();
			fc.setDialogTitle("Zapisz baz czytelnikw");
			fc.setCurrentDirectory(new File(sciezka_czytelnicy));
			//FileFilter filtr=new FileFilter();
//			In response to a button click:
			fc.showSaveDialog(this);
			System.err.println(fc.getSelectedFile());
			try
			{
				File plik=fc.getSelectedFile();
				if(plik != null)
				{
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.newDocument();
				Element root=dokument.createElement("Czytelnicy");
				
				dokument.appendChild(root);
				for(int i=0; i<JFrGlowne.czytelnicy.size();i++)
				{
				czytelnicy.get(i).zapisz(dokument,root);
				}
				Transformer przekszt=TransformerFactory.newInstance().newTransformer();
				Source zrodlo = new DOMSource(dokument);
				//File plik=fc.getSelectedFile();
				Result wyjscie=new StreamResult(plik);
				przekszt.transform(zrodlo, wyjscie);
				JOptionPane.showMessageDialog(this,"Zapisano do pliku " + fc.getSelectedFile(),"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				log.info("Zapisano baz czytelnikw do pliku " + fc.getSelectedFile());
				}
			} catch(Exception ex)
			{
				JOptionPane.showMessageDialog(this,"Bd przy zapisywaniu pliku " + fc.getSelectedFile(),"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Bd przy zapisywaniu pliku " + fc.getSelectedFile());
				log.warning("Stos: " + ex.getStackTrace());
			}
			
		}
		if(komenda == "Zakocz prac programu") 
		{
			log.info("Wybrano opcj zakoczenia pracy programu");
			System.exit(0);
		}
		if(komenda == "Dodaj ksik") 
		{
			log.info("Wybrano opcj dodawanie ksiki");
			new JFrDodajKsiazke();
			
		}
		if(komenda == "Szukaj ksiki") 
		{
			log.info("Wybrano opcj szukania ksiki");
			new JFrSzukajKsiazki();
			
		}
		if(komenda == "Lista ksiek") 
		{
			log.info("Wybrano opcj wywietlania listy ksiek");
			new JFrListaKsiazek();
			//JOptionPane.showMessageDialog(this,"Nie zaimplementowane","Komunikat",JOptionPane.INFORMATION_MESSAGE);
			
		}
		if(komenda == "Dodaj czytelnika") 
		{
			log.info("Wybrano opcj dodania czytelnika");
			new JFrDodajCzytelnika();
			
		}
		if(komenda == "Szukaj czytelnika") 
		{
			log.info("Wybrano opcj szukania czytelnika");
			new JFrSzukajCzytelnika();
			
		}
		if(komenda == "Lista czytelnikw") 
		{
			log.info("Wybrano opcj wywietlania listy czytelnikw");
			new JFrListaCzytelnikow();
			
			//JOptionPane.showMessageDialog(this,"Nie zaimplementowane","Komunikat",JOptionPane.INFORMATION_MESSAGE);
			
		}
		if(komenda == "Wypoycz ksik") 
		{
			log.info("Wybrano opcj wypoyczania ksiki");
			new JFrWypozyczKsiazke();
			
		}
		if(komenda == "Oddaj ksik") 
		{
			log.info("Wybrano opcj oddawania ksiki");
			new JFrOddajKsiazke();
			
		}
		if(komenda == "Wygld") 
		{
			log.info("Wybrano opcj zmiany wygldu");
			new JFrWyglad();
	  	}
		if(komenda == "cieki") 
		{
			log.info("Wybrano opcj zmiany cieek do baz ksizek i czytelnikw");
			new JFrSciezki();
			//JOptionPane.showMessageDialog(this,"Nie zaimplementowane","Komunikat",JOptionPane.INFORMATION_MESSAGE);
			
		}
		if(komenda == "Odswie okno")
		{
			try 
			{
			UIManager.setLookAndFeel(JFrGlowne.ui_styl);
			SwingUtilities.updateComponentTreeUI(this);
			log.info("Odwieono okno");
			} 
			catch (Exception wyjatek) 
			{
				JOptionPane.showMessageDialog(null,"Nie udao si zmieni wygldu!","Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Nie udao si zmieni wygldu programu");
				log.warning("Stos: " + wyjatek.getStackTrace());
			}
		}
		if(komenda == "Zapisz opcje") 
		{
			try
			{
				//System.err.println(plik);
				DocumentBuilderFactory fabr=DocumentBuilderFactory.newInstance();
				DocumentBuilder parser=fabr.newDocumentBuilder();
				Document dokument=parser.newDocument();
				Element root=dokument.createElement("Opcje");
				dokument.appendChild(root);
				Element elem=dokument.createElement("Ustawienia");
				elem.setAttribute("ui_styl",JFrGlowne.ui_styl);
				elem.setAttribute("sciezka_czytelnicy",JFrGlowne.sciezka_czytelnicy);
				elem.setAttribute("sciezka_ksiazki", JFrGlowne.sciezka_ksiazki);
				root.appendChild(elem);
				Transformer przekszt = TransformerFactory.newInstance().newTransformer();
				Source zrodlo=new DOMSource(dokument);
				File plik=new File(JFrGlowne.ustawienia);
				Result wyjscie=new StreamResult(plik);
				przekszt.transform(zrodlo, wyjscie);
				JOptionPane.showMessageDialog(this,"Zapisano ustawienia do pliku " + JFrGlowne.ustawienia ,"Komunikat",JOptionPane.INFORMATION_MESSAGE);
				log.info("Zapisano ustawienia programu do pliku " + JFrGlowne.ustawienia);
				
			} catch(Exception ex)
			{
				JOptionPane.showMessageDialog(this,"Bd przy zapisywaniu pliku ustawie " + JFrGlowne.ustawienia,"Bd",JOptionPane.ERROR_MESSAGE);
				log.warning("Nie udao si zapisa pliku ustawie " + JFrGlowne.ustawienia);
				log.warning("Stos: " + ex.getStackTrace());
			}
		}
		if(komenda == "Wywietl statystyki") 
		{
			int wypozyczonych=0;
			for(int i=0;i<JFrGlowne.czytelnicy.size();i++)
			{
				wypozyczonych=wypozyczonych+JFrGlowne.czytelnicy.get(i).wypoyczone.size();
				//System.err.println(wypozyczonych);
			}
				
			JOptionPane.showMessageDialog(this,"Ksiek w bazie: " + ksiazki.size() + "\n" +  "Czytelnikw w bazie: " + czytelnicy.size() + "\nWypoyczonych ksiek: " + wypozyczonych,"Statystyka",JOptionPane.INFORMATION_MESSAGE);
			log.info("Statystyki: ksiek " + ksiazki.size() + ", czytelnikw " + czytelnicy.size() + ", wypoyczonych ksiek " + wypozyczonych);
		}
		if(komenda == "Tematy pomocy") 
		{
			JOptionPane.showMessageDialog(this,"Nie zaimplementowane","Komunikat",JOptionPane.INFORMATION_MESSAGE);
			
		}
		if(komenda == "About") 
		{
			JOptionPane.showMessageDialog(this,"Program obsugi biblioteki\nCreated by Piotr Leo\nw21826","About",JOptionPane.YES_OPTION);
			
		}
	}


}
