package biblioteka_gui;

import org.w3c.dom.*;


/**
 * Klasa udostpniajaca podstawowa funkcjonalnosc dla ksiazki
 * @author    w21826 Piotr Lezon
 */
public class Ksiazka {
	
	/**
	 * Obiekt klas String identyfikujacy konkretna ksiazke
	 */
	public String numer_katalogowy;
	/**
	 * Obiekt klasy String okreslajacy tytul ksiazki
	 */
	public String tytul;
	/**
	 * Obiekt klasy Osoba, udostepniajacy imie i nazwisko autora
	 * @see Osoba
	 */
	public Osoba autor;
	/**
	 * Obiekt klasy String okreslajacy kto wydal ksiazke
	 */
	public String wydawnictwo;
	/**
	 * Obiekt klasy String okreslajacy rok wydania
	 */
	public String wydanie;
	/**
	 * Prawda jesli wypozyczona, falsz w przeciwnym razie
	 */
	public boolean wypozyczona = false;
	
	/**
	 * Konstruktor klasy Ksiazka
	 * @param imie
	 * @param nazwisko
	 * @param tytul
	 * @param wydawnictwo
	 * @param wydanie
	 * @param numer_katalogowy
	 */
	public Ksiazka(String imie, String nazwisko, String tytul, String wydawnictwo, String wydanie, String numer_katalogowy, boolean wypozyczona)
	{
		//System.out.println(imie);
		this.autor=new Osoba(imie, nazwisko);
		this.tytul=tytul;
		this.wydawnictwo=wydawnictwo;
		this.wydanie=wydanie;
		this.numer_katalogowy=numer_katalogowy;
		this.wypozyczona=wypozyczona;
	}
	/**
	 * Metoda tworzaca struktur DOM
	 * @param doc
	 * @param element
	 */
	public void zapisz(Document doc, Element element)
	{
		Element elem=doc.createElement("Ksiazka");
		elem.setAttribute("Tytul", tytul);
		elem.setAttribute("Imie_autora", autor.imie);
		elem.setAttribute("Nazwisko_autora", autor.nazwisko);
		elem.setAttribute("Rok_wydania", wydanie);
		elem.setAttribute("Wydawnictwo", wydawnictwo);
		elem.setAttribute("nr_katalogowy", numer_katalogowy);
		elem.setAttribute("Wypozyczona","" + wypozyczona);
		element.appendChild(elem);
	}
}
